# Ansible

![Logo](assets/logos/logo.svg)

Ansible is a AMQP client library for Smalltalk supporting 0-8 and 0-9-1
 versions of the protocol.

[![GitHub release](https://img.shields.io/github/release/ba-st/Ansible.svg)](https://github.com/ba-st/Ansible/releases/latest)
[![Unit Tests](https://github.com/ba-st/Ansible/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Ansible/actions/workflows/unit-tests.yml)
[![Coverage Status](https://codecov.io/gh/ba-st/Ansible/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Ansible/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Ansible/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Ansible/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Ansible/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Ansible/actions/workflows/markdown-lint.yml)

[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

An [Ansible](https://en.wikipedia.org/wiki/Ansible) is a fictional device
capable of near-instantaneous communication. It can send and receive message
to and from a corresponding device over any distance or obstacle whatsoever
with no delay even between star systems.

## Quick links

- [**Getting Started**](docs/README.md) is a good place to start
  exploring the docs 😉
- [Report a defect](https://github.com/ba-st/Ansible/issues/new?labels=Type%3A+Defect)
- [Request feature](https://github.com/ba-st/Ansible/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image or declare it as a dependency of your
project follow these [instructions](docs/Installation.md).

## Acknowledgements

- To [Tony Garnock-Jones](https://github.com/tonyg) the author of the [Squeak version](http://www.squeaksource.com/AMQP).
- To [Gastón Caruso](https://github.com/gstn-caruso) for porting it to Cuis. See
 <https://github.com/Cuis-Smalltalk/AMQP>.

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)

---
> *Ansible icon by [Icons8](https://icons8.com/icon/13724/chat)*
